Package org.springframework.security.crypto.bcrypt

## Enum BCryptPasswordEncoder.BCryptVersion

- java.lang.Object
- - java.lang.Enum<BCryptPasswordEncoder.BCryptVersion>
  - - org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder.BCryptVersion

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<BCryptPasswordEncoder.BCryptVersion>`

Enclosing class:
  BCryptPasswordEncoder

    public static enum BCryptPasswordEncoder.BCryptVersion
    extends java.lang.Enum<BCryptPasswordEncoder.BCryptVersion>

Stores the default bcrypt version for use in configuration.

### Enum Constant Summary

Enum Constants
`$2A`
`$2B`
`$2Y`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getVersion()`
`static BCryptPasswordEncoder.BCryptVersion` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BCryptPasswordEncoder.BCryptVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### $2A

    public static final BCryptPasswordEncoder.BCryptVersion $2A

#### $2Y

    public static final BCryptPasswordEncoder.BCryptVersion $2Y

#### $2B

    public static final BCryptPasswordEncoder.BCryptVersion $2B

### Method Detail

#### values

    public static BCryptPasswordEncoder.BCryptVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BCryptPasswordEncoder.BCryptVersion c : BCryptPasswordEncoder.BCryptVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BCryptPasswordEncoder.BCryptVersion valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getVersion

    public java.lang.String getVersion()